QGIS Application - Bug report #21017
SAGA RGB Composite not working
2019-01-17 04:21 AM - Shawn Hood

Status: Closed

Priority: High

Assignee:

Category: Processing/SAGA

Affected QGIS version:3.4.3
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: duplicate

Copied to github as #: 28836

Description

Error follows on from a previously closed bug ticket #20340.

When | try to use the SAGA's RGB Composite tool | get the following message (abbreviated below). This seems to be related to

discussion here: [[https://github.com/qgis/QGIS/pull/8418]]

#
Error: select a library

# #

C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_grid_image 0 -COLOURING 4 -GRID:"C:/temp/test.sgrd" -FILE:"C:/temp/test.tif"
Error: input file [C:/temp/test.sgrd]

Error: Grid

# #

£

The full log is:

Processing algorithm...

Algorithm 'Rgb composite' starting...

Input parameters:

{ 'B_GRID': 'C:/Users/User/OneDrive - University of Tasmania/Unearthed Data
Challange/GlS/Landsat_8/LC08_L1TP_100080_20181219_20181219_01_RT_2018-12-19/Band Ratios/Fe2 SWIR2divNIR +
GRNdivRED.if', 'B_METHOD': 0, 'B_PERCTL_MAX': 99, 'B_PERCTL_MIN': 1, 'B_RANGE_MAX': 255, 'B_RANGE_MIN': 0,
'B_STDDEV': 2,'G_GRID': 'C:/Users/User/OneDrive - University of Tasmania/Unearthed Data
Challange/GlS/Landsat_8/LC08_L1TP_100080_20181219_20181219_01_RT_2018-12-19/Band Ratios/Fe2 SWIR2divNIR +
GRNdivRED. tif', 'G_METHOD': 0, 'G_PERCTL_MAX': 99, 'G_PERCTL_MIN': 1,'G_RANGE_MAX': 255, 'G_RANGE_MIN': 0,
'G_STDDEV': 2, 'RGB': 'C:/temp/test.tif', 'R_GRID' : 'C:/Users/User/OneDrive - University of Tasmania/Unearthed Data
Challange/GlIS/Landsat_8/LC08_L1TP_100080_20181219_20181219_01_RT_2018-12-19/Band
Ratios/FerrousSi_SWIR2divSWIR1.tif', 'R_METHOD' : 0, 'R_PERCTL_MAX': 99, 'R_PERCTL_MIN': 1, 'R_RANGE_MAX'":
255,'R_RANGE_MIN': 0,'R_STDDEV': 2}

io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS
"C:/Users/User/AppData/Local/Temp/processing_62f1db45cbbf463e8ddd11d0771a7761/bd44649ecd0e47c2bc7f9fbe8calf000/L8F
/L8FerrousSi.sgrd" -FILES "C:/Users/User/OneDrive - University of Tasmania/Unearthed Data
Challange/Gl1S/Landsat_8/LC08_L1TP_100080_20181219_20181219_01_RT_2018-12-19/Band

Ratios/FerrousSi_ SWIR2divSWIR1..tif"

io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS
"C:/Users/User/AppData/Local/Temp/processing_62f1db45cbbf463e8ddd11d0771a7761/a4383c5db83c45569086a42694¢3c502/LF
2/L8Fe2.sgrd" -FILES "C:/Users/User/OneDrive - University of Tasmania/Unearthed Data
Challange/GlS/Landsat_8/LC08_L1TP_100080_20181219_20181219_01_RT_2018-12-19/Band Ratios/Fe2 SWIR2divNIR +
GRNdivRED.tif"
"C:/Users/User/AppData/Local/Temp/processing_62f1db45cbbf463e8ddd11d0771a7761/24eabadf23614d2e8d1ea9ed4ac2dd83a/L8
a/L8Fe2.sgrd" -FILES "C:/Users/User/OneDrive - University of Tasmania/Unearthed Data
Challange/GlIS/Landsat_8/LC08_L1TP_100080_20181219_20181219_01_RT_2018-12-19/Band Ratios/Fe2 SWIR2divNIR +
GRNdivRED.tif"

grid_visualisation "RGB Composite" -R_GRID
"C:/Users/User/AppData/Local/Temp/processing_62f1db45cbbf463e8ddd11d0771a7761/bd44649ecd0e47c2bc7f9fbe8cal1f000/L8F
/L8FerrousSi.sgrd" -G_GRID
"C:/Users/User/AppData/Local/Temp/processing_62f1db45cbbf463e8ddd11d0771a7761/a4383c5db83c45569086a42694c3c502/L4
2/L8Fe2.sgrd" -B_GRID
"C:/Users/User/AppData/Local/Temp/processing_62f1db45cbbf463e8ddd11d0771a7761/24eabadf23614d2e8d1ea9ed4ac2dd83a/L8
a/L8Fe2.sgrd" -R_METHOD 0 -G_METHOD 0 -B_METHOD 0 -R_RANGE_MIN 0 -R_RANGE_MAX 255 -R_PERCTL_MIN 1
-R_PERCTL_MAX 99 -R_STDDEV 2.0 -G_RANGE_MIN 0 -G_RANGE_MAX 255 -G_PERCTL_MIN 1 -G_PERCTL_MAX 99
-G_STDDEV 2.0 -B_RANGE_MIN 0 -B_RANGE_MAX 255 -B_PERCTL_MIN 1 -B_PERCTL_MAX 99 -B_STDDEV 2.0 -RGB
"C:/temp/test.tif"

io_grid_image 0 -COLOURING 4 -GRID:"C:/temp/test.sgrd" -FILE:"C:/temp/test.tif"

C:\PROGRA~1\QGIS3~1.4\bin>set SAGA=C:/PROGRA~1/QGIS3~1.4/apps\saga-ltr

C:\PROGRA~1\QGIS3~1.4\bin>set SAGA_MLB=C:/PROGRA~1/QGIS3~1.4/apps\saga-ltr\modules

C:\PROGRA~1\QGIS3~1.4\bin>PATH=C:\PROGRA~1\QGIS3~1.4\apps\qgis\bin;C:\PROGRA~1\QGIS3~1.4\apps\Python37;C:\PRO(
ROGRA~1\QGIS3~1.4\apps\Python37\Scripts;C:\PROGRA~1\QGIS3~1.4\apps\qt5\bin;C:\PROGRA~1\QGIS3~1.4\apps\Python27\Sq
7\Scripts;C:\PROGRA~1\QGIS3~1.4\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\system32\WBem;C:\PROGRA~1\QG
\QGIS3~1.4\apps\Python37\lib\site-packages\pywin32_system32;C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\numpy
mpy\.libs;C:\\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\scipy\extra-dll;C:/PROGRA~1/QGIS3~1.4/apps\saga-Itr;C:/PR(
/PROGRA~1/QGIS3~1.4/apps\saga-ltr\modules

C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS
"C:/Users/User/AppData/Local/Temp/processing_62f1db45cbbf463e8ddd11d0771a7761/bd44649ecd0e47c2bc7f9fbe8cal1f000/L8F
/L8FerrousSi.sgrd" -FILES "C:/Users/User/OneDrive - University of Tasmania/Unearthed Data
Challange/GlIS/Landsat_8/LC08_L1TP_100080_20181219_20181219_01_RT_2018-12-19/Band
Ratios/FerrousSi_SWIR2divSWIR1 .tif"

Error: select a library
SAGA Version: 2.3.2 (64 bit)

68 loaded tool libraries (630 tools):
- climate_tools

- contrib_perego

-db_odbc

- db_pgsql

- docs_html

- garden_3d_viewer

- garden_fractals

- garden_games

Fe2.sgt
- garden_learn_to_program
- garden_webservices
- grid_analysis

- grid_calculus

- grid_calculus_bsl

- grid_filter

- grid_gridding

- grid_spline

- grid_tools

- grid_visualisation

- imagery_classification
- imagery_isocluster

- imagery_maxent

- imagery_photogrammetry
- imagery_segmentation
- imagery_svm

- imagery_tools
-io_esri_e00

-io_gps

-io_grid

- io_grid_image

- io_shapes

- io_shapes_dxf

- io_table

- io_virtual

- pj_georeference

- pj_geotrans

- pj_proj4

- pointcloud_tools

- pointcloud_viewer

- shapes_grid

- shapes_lines

- shapes_points

- shapes_polygons

- shapes_tools

- shapes_transect

- sim_cellular_automata
- sim_ecosystems_hugget
- sim_erosion

- sim_fire_spreading

- sim_hydrology

- sim_ihacres

- sim_gm_of_esp

- sim_rivflow

- statistics_grid

- statistics_kriging

- statistics_points

- statistics_regression

- ta_channels

- ta_compound

- ta_hydrology

- ta_lighting

- ta_morphometry

2024-04-28

3/12




- ta_preprocessor
- ta_profiles

- ta_slope_stability
- table_calculus

- table_tools

- tin_tools

- tin_viewer

type -h or --help for further information

C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS
"C:/Users/User/AppData/Local/Temp/processing_62f1db45cbbf463e8ddd11d0771a7761/a4383c5db83c45569086a42694¢3c502/LF
2/L8Fe2.sgrd" -FILES "C:/Users/User/OneDrive - University of Tasmania/Unearthed Data
Challange/GlIS/Landsat_8/LC08_L1TP_100080_20181219_20181219_01_RT_2018-12-19/Band Ratios/Fe2 SWIR2divNIR +
GRNdivRED.tif"

Error: select a library
SAGA Version: 2.3.2 (64 bit)

68 loaded tool libraries (630 tools):
- climate_tools

- contrib_perego
-db_odbc

- db_pgsql

- docs_html

- garden_3d_viewer

- garden_fractals

- garden_games

- garden_learn_to_program
- garden_webservices

- grid_analysis

- grid_calculus

- grid_calculus_bsl

- grid_filter

- grid_gridding

- grid_spline

- grid_tools

- grid_visualisation

- imagery_classification

- imagery_isocluster

- imagery_maxent

- imagery_photogrammetry
- imagery_segmentation

- imagery_svm

- imagery_tools
-io_esri_e00
-io_gps

-io_grid

- io_grid_image

- io_shapes

- io_shapes_dxf

- io_table

- io_virtual

- pj_georeference

- pj_geotrans

- pj_proj4

- pointcloud_tools

- pointcloud_viewer
- shapes_grid

- shapes_lines

- shapes_points

- shapes_polygons
- shapes_tools

- shapes_transect

- sim_cellular_automata
- sim_ecosystems_hugget
- sim_erosion

- sim_fire_spreading
- sim_hydrology

- sim_ihacres

- sim_gm_of_esp

- sim_rivflow

- statistics_grid

- statistics_kriging

- statistics_points

- statistics_regression
- ta_channels

- ta_compound

- ta_hydrology

- ta_lighting

- ta_morphometry

- ta_preprocessor

- ta_profiles

- ta_slope_stability
- table_calculus

- table_tools

- tin_tools

- tin_viewer

type -h or --help for further information

C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS
"C:/Users/User/AppData/Local/Temp/processing_62f1db45cbbf463e8ddd11d0771a7761/24eabadf23614d2e8d1ea9ed4ac2dd83a/L8
a/L8Fe2.sgrd" -FILES "C:/Users/User/OneDrive - University of Tasmania/Unearthed Data
Challange/GlS/Landsat_8/LC08_L1TP_100080_20181219_20181219_01_RT_2018-12-19/Band Ratios/Fe2 SWIR2divNIR +
GRNdivRED.tif"

Error: select a library
SAGA Version: 2.3.2 (64 bit)

68 loaded tool libraries (630 tools):

- climate_tools

- contrib_perego

- db_odbc

- db_pgsql

- docs_html

- garden_3d_viewer

- garden_fractals

- garden_games

- garden_learn_to_program
- garden_webservices
- grid_analysis

- grid_calculus

- grid_calculus_bsl

- grid_filter

- grid_gridding

- grid_spline

- grid_tools

- grid_visualisation

- imagery_classification
- imagery_isocluster

- imagery_maxent

- imagery_photogrammetry
- imagery_segmentation
- imagery_svm

- imagery_tools

- io_esri_e00

-io_gps

-io_grid

- io_grid_image

- io_shapes

- io_shapes_dxf
-io_table

- io_virtual

- pj_georeference

- pj_geotrans

- pj_proj4

- pointcloud_tools

- pointcloud_viewer

- shapes_grid

- shapes_lines

- shapes_points

- shapes_polygons
- shapes_tools

- shapes_transect

- sim_cellular_automata
- sim_ecosystems_hugget
- sim_erosion

- sim_fire_spreading

- sim_hydrology

- sim_ihacres

- sim_gm_of_esp

- sim_rivflow

- statistics_grid

- statistics_kriging

- statistics_points

- statistics_regression
- ta_channels

- ta_compound

- ta_hydrology

- ta_lighting

- ta_morphometry

- ta_preprocessor

- ta_profiles

- ta_slope_stability

- table_calculus

- table_tools

- tin_tools

- tin_viewer

type -h or --help for further information

C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd grid_visualisation "RGB Composite" -R_GRID
"C:/Users/User/AppData/Local/Temp/processing_62f1db45cbbf463e8ddd11d0771a7761/bd44649ecd0e47c2bc7f9fbe8cal1f000/L8F
/L8FerrousSi.sgrd" -G_GRID
"C:/Users/User/AppData/Local/Temp/processing_62f1db45cbbf463e8ddd11d0771a7761/a4383c5db83c45569086a42694¢3c502/L
2/L8Fe2.sgrd" -B_GRID
"C:/Users/User/AppData/Local/Temp/processing_62f1db45cbbf463e8ddd11d0771a7761/24eabadf23614d2e8d1ea9ed4ac2dd83a/L8
a/L8Fe2.sgrd" -R_METHOD 0 -G_METHOD 0 -B_METHOD 0 -R_RANGE_MIN 0 -R_RANGE_MAX 255 -R_PERCTL_MIN 1
-R_PERCTL_MAX 99 -R_STDDEV 2.0 -G_RANGE_MIN 0 -G_RANGE_MAX 255 -G_PERCTL_MIN 1 -G_PERCTL_MAX 99
-G_STDDEV 2.0 -B_RANGE_MIN 0 -B_RANGE_MAX 255 -B_PERCTL_MIN 1 -B_PERCTL_MAX 99 -B_STDDEV 2.0 -RGB
"C:/temp/test.tif"

Error: input file
[C:/Users/User/AppData/Local/Temp/processing_62f1db45cbbf463e8ddd11d0771a7761/bd44649ecd0e47c2bc7f9fbe8cal1f000/L8F
/L8FerrousSi.sgrd]

Error: Red
library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\
library name: grid_visualisation

library : Grids

tool : RGB Composite

author : O.Conrad (c) 2002

processors : 8 [8]

Load grid:
C:/Users/User/AppData/Local/Temp/processing_62f1db45cbbf463e8ddd11d0771a7761/bd44649ecd0e47c2bc7f9fbe8calf000/L8F¢
L8FerrousSi.sgrd...

failed

Usage: saga_cmd grid_visualisation 3 [-R_GRID <str>] [-R_METHOD <str>] [-R_RANGE_MIN <double>] [-R_RANGE_MAX
<double>] [-R_PERCTL_MIN <double>] [-R_PERCTL_MAX <double>] [-R_STDDEV <double>] [-G_GRID <str>] [-G_METHOD
<str>] [-G_RANGE_MIN <double>] [-G_RANGE_MAX <double>] [-G_PERCTL_MIN <double>] [-G_PERCTL_MAX <double>]
[-G_STDDEV <double>] [-B_GRID <str>] [-B_METHOD <str>] [-B_ RANGE_MIN <double>] [-B_ RANGE_MAX <double>]
[-B_PERCTL_MIN <double>] [-B_PERCTL_MAX <double>] [-B_STDDEV <double>] [-A_GRID <str>] [-A_METHOD <str>]
[-A_RANGE_MIN <double>] [-A_RANGE_MAX <double>] [-A_PERCTL_MIN <double>] [-A_PERCTL_MAX <double>]
[-A_STDDEV <double>] [-RGB <str>]

-R_GRID:<str> Red

Grid (input)

-R_METHOD:<str> Value Preparation

Choice

Available Choices:

[0] take original value (0 - 255)

[1] rescale to 0 - 255

[2] user defined

[3] percentiles

[4] standard deviation

Default: 4

-R_RANGE_MIN:<double> Rescale Range

Value range

-R_RANGE_MAX:<double> Rescale Range

Value range

-R_PERCTL_MIN:<double> Percentiles

Value range

-R_PERCTL_MAX:<double> Percentiles

Value range

-R_STDDEV:<double> Standard Deviation

Floating point

Minimum: 0.000000

Default: 2.000000

-G_GRID:<str> Green

Grid (input)

-G_METHOD:<str> Value Preparation

Choice

Available Choices:

[0] take original value (0 - 255)

[1] rescale to 0 - 255

[2] user defined
[3] percentiles

[4] standard deviation

Default: 4

-G_RANGE_MIN:<double> Rescale Range
Value range

-G_RANGE_MAX:<double> Rescale Range
Value range

-G_PERCTL_MIN:<double> Percentiles
Value range

-G_PERCTL_MAX:<double> Percentiles
Value range

-G_STDDEV:<double> Standard Deviation
Floating point

Minimum: 0.000000

Default: 2.000000

-B_GRID:<str> Blue

Grid (input)

-B_METHOD:<str> Value Preparation
Choice

Available Choices:

[0] take original value (0 - 255)

[1] rescale to 0 - 255

[2] user defined

[3] percentiles

[4] standard deviation

Default: 4

-B_RANGE_MIN:<double> Rescale Range
Value range

-B_RANGE_MAX:<double> Rescale Range
Value range

-B_PERCTL_MIN:<double> Percentiles
Value range

-B_PERCTL_MAX:<double> Percentiles
Value range

-B_STDDEV:<double> Standard Deviation
Floating point

Minimum: 0.000000

Default: 2.000000

-A_GRID:<str> Alpha

Grid (optional input)

-A_METHOD:<str> Value Preparation
Choice

Available Choices:

[0] take original value (0 - 255)

[1] rescale to 0 - 255

[2] user defined

[3] percentiles

[4] standard deviation

Default: 4

-A_RANGE_MIN:<double> Rescale Range
Value range

-A_RANGE_MAX:<double> Rescale Range
Value range
-A_PERCTL_MIN:<double> Percentiles
Value range

-A_PERCTL_MAX:<double> Percentiles
Value range

-A_STDDEV:<double> Standard Deviation
Floating point

Minimum: 0.000000

Default: 2.000000

-RGB:<str> Composite

Grid (output)

C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_grid_image 0 -COLOURING 4 -GRID:"C:/temp/test.sgrd" -FILE:"C:/temp/test.tif"
Error: input file [C:/temp/test.sgrd]
Error: Grid
SAGA Version: 2.3.2 (64 bit)

library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\
library name: io_grid_image

library : Images

tool : Export Image (bmp, jpg, pcx, png, tif)

author : O.Conrad (c) 2005

processors : 8 [8]

Load grid: C:/temp/test.sgrd...
failed

Usage: saga_cmd io_grid_image 0 [-GRID <str>] [-SHADE <str>] [-FILE <str>] [-FILE_KML <str>] [-COLOURING <str>]
[-COL_PALETTE <str>] [[COL_COUNT <num>] [-COL_REVERT <str>] [-STDDEV <double>] [-STRETCH_MIN <double>]
[-STRETCH_MAX <double>] [-LUT <str>] [-SHADE_TRANS <double>] [-SHADE_BRIGHT_MIN <double>]
[-SHADE_BRIGHT_MAX <double>]

-GRID:<str> Grid

Grid (input)

-SHADE:<str> Shade

Grid (optional input)

-FILE:<str> Image File

File path

-FILE_KML:<str> Create KML File

Boolean

Default: 1

-COLOURING:<str> Colouring

Choice

Available Choices:
[0] stretch to grid's standard deviation
[1] stretch to grid's value range

[2] stretch to specified value range
[3] lookup table

[4] rgb coded values

Default: 0

-COL_PALETTE:<str> Color Palette
Choice

Available Choices:

[0] DEFAULT

[1] DEFAULT_BRIGHT

[2] BLACK_WHITE

[3] BLACK_RED

[4] BLACK_GREEN

[5] BLACK_BLUE

[6] WHITE_RED

[71 WHITE_GREEN

[8] WHITE_BLUE

[9] YELLOW_RED

[10] YELLOW_GREEN

[11] YELLOW_BLUE

[12] RED_GREEN

[13] RED_BLUE

[14] GREEN_BLUE

[15] RED_GREY_BLUE

[16] RED_GREY_GREEN

[17] GREEN_GREY_BLUE

[18] RED_GREEN_BLUE

[19] RED_BLUE_GREEN

[20] GREEN_RED_BLUE

[21] RAINBOW

[22] NEON

[23] TOPOGRAPHY

[24] ASPECT_1

[25] ASPECT_2

[26] ASPECT_3

Default: 0

-COL_COUNT:<num> Number of Colors
Integer

Default: 100

-COL_REVERT:<str> Revert Palette
Boolean

Default: 0

-STDDEV:<double> Standard Deviation
Floating point

Minimum: 0.000000

Default: 2.000000
-STRETCH_MIN:<double> Stretch to Value Range
Value range
-STRETCH_MAX:<double> Stretch to Value Range
Value range

-LUT:<str> Lookup Table

Table (optional input)
-SHADE_TRANS:<double> Shade Transparency []
Floating point

Minimum: 0.000000

Maximum: 100.000000

Default: 40.000000

-SHADE_BRIGHT_MIN:<double> Shade Brightness []
Value range

-SHADE_BRIGHT_MAX:<double> Shade Brightness []
Value range

C:\PROGRA~1\QGIS3~1.4\bin>exit
Execution completed in 22.85 seconds
Results:

{'RGB'": 'C:/temp/test.tif'}

Loading resulting layers
The following layers were not correctly generated.<ul><li>C:/temp/test.tif</li></ul>You can check the 'Log Messages Panel' in
QGIS main window to find more information about the execution of the algorithm.

Related issues:
Duplicates QGIS Application - Bug report # 20340: SAGA RGB Composite not working Closed 2018-11-02

History

#1 - 2019-01-17 11:22 AM - Giovanni Manghi
- Resolution set to duplicate
- Status changed from Open to Closed

it has been fixed in master, aka 3.5, but not backported yet.

#2 - 2019-01-21 11:57 AM - Jiirgen Fischer

- Description updated

#3 - 2019-01-21 11:58 AM - Jiirgen Fischer
- Duplicates Bug report #20340: SAGA RGB Composite not working added

#4 - 2019-01-21 11:58 AM - Jiirgen Fischer
- Description updated
